## vhba-module 20240917

=== Makefile ===
VHBA_VERSION := 20240917

KERNELRELEASE ?= $(shell uname -r)
KDIR ?= /lib/modules/$(KERNELRELEASE)/build
PWD ?= $(shell pwd)

obj-m := vhba.o
ccflags-y := -DVHBA_VERSION=\"$(VHBA_VERSION)\" -Werror

default: modules
install: modules_install

modules modules_install clean:
	$(MAKE) -C $(KDIR) M=$(PWD) $@

## vhba-module 20240202

=== debian/changelog ===
vhba-module (20240202-5ubuntu1) oracular; urgency=medium

  * patches: Fix build with kernel 6.11.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Oct 2024 16:02:15 +0300

vhba-module (20240202-5) unstable; urgency=medium

  * debian/appstream/net.sf.cdemu.vhba_module.metainfo.xml:
    - Revert id to previous version, because AppStream documentation and
    implementation are not on the same page. This format should work for both.
  * debian/rules:
    - Change AppStream metadata file name (underscore instead of hyphen).

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 01 Jun 2024 10:15:49 +0200

vhba-module (20240202-4) unstable; urgency=medium

  * debian/appstream/net.sf.cdemu.vhba-module.metainfo.xml:
    - Change id to correct format.
  * debian/rules:
    - Change AppStream metadata file name (hyphen instead of underscore).

 -- Matteo Bini <matteobin@tiepi.it>  Thu, 30 May 2024 21:01:01 +0200

vhba-module (20240202-3) unstable; urgency=medium

  * debian/appstream/net.sf.cdemu.vhba_module.metainfo.xml:
    - Add developer.

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 25 May 2024 13:03:39 +0200

vhba-module (20240202-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.7.0.
  * debian/lintian-overrides:
    - Add appstream-metadata-missing-modalias-provide.
  * debian/source/lintian-overrides:
    - Add new-package-uses-date-based-version-number.

 -- Matteo Bini <matteobin@tiepi.it>  Fri, 24 May 2024 19:42:14 +0200

vhba-module (20240202-1) unstable; urgency=low

  * Initial release, closes: #983402, #983403.

 -- Matteo Bini <matteobin@tiepi.it>  Wed, 28 Feb 2024 12:45:56 +0100

=== debian/control ===
Source: vhba-module
Section: kernel
Priority: optional
Homepage: https://cdemu.sourceforge.io/
Maintainer: Matteo Bini <matteobin@tiepi.it>
Build-Depends: debhelper-compat (= 13),
               dh-dkms,
               dkms
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: vhba-dkms
Architecture: all
Depends: ${misc:Depends}
Description: VHBA virtual host bus adapter module
 VHBA kernel module, a virtual SCSI host bus adapter used by CDEmu daemon from
 the CDEmu suite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


#export DH_VERBOSE=1

# Get package version info.
SOURCE_VERSION := $(shell head -1 debian/changelog | cut -d\( -f2 | cut -d\) -f1)
UPSTREAM_VERSION := $(shell echo "$(SOURCE_VERSION)" | cut -d- -f1)

# Installation directories
PKGDIR := $(CURDIR)/debian/vhba-dkms
DESTDIR := $(PKGDIR)/usr/src/vhba-$(UPSTREAM_VERSION)


override_dh_auto_configure:

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_clean:

override_dh_auto_install:
	install -d                                        $(DESTDIR)
	install -m 644 -D $(CURDIR)/Makefile              $(DESTDIR)/
	install -m 644 -D $(CURDIR)/*.c                   $(DESTDIR)/
	mkdir -p $(PKGDIR)/usr/share/metainfo
	cp -f $(CURDIR)/debian/appstream/net.sf.cdemu.vhba_module.metainfo.xml $(PKGDIR)/usr/share/metainfo
	chmod 644 $(PKGDIR)/usr/share/metainfo/net.sf.cdemu.vhba_module.metainfo.xml

override_dh_dkms:
	dh_dkms -V

%:
	dh $@ --with dkms

## vhba-module 20240917

=== debian/changelog ===
vhba-module (20240917-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 17 Oct 2024 20:56:42 -0700

vhba-module (20240917-1) unstable; urgency=medium

  * New upstream version, closes: #1081379.
  * Thanks to Andreas Beckmann <anbe@debian.org> for the following patches:
    - Simplify appstream metadata installation.
    - Simplify dkms installation.
    - Switch to dh-sequence-dkms.
    - Declare Testsuite: autopkgtest-pkg-dkms.
    - Ship /etc/modules-load.d/vhba.conf as conffile.
    - Drop redundant packaging bits.

 -- Matteo Bini <matteobin@tiepi.it>  Wed, 09 Oct 2024 22:18:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: kernel
 Priority: optional
 Homepage: https://cdemu.sourceforge.io/
-Maintainer: Matteo Bini <matteobin@tiepi.it>
-Build-Depends: debhelper-compat (= 13),
-               dh-dkms,
-               dkms
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Matteo Bini <matteobin@tiepi.it>
+Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: vhba-dkms
 Architecture: all

## vhba-module 20250329

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VHBA_VERSION := 20240917
+VHBA_VERSION := 20250329
 
 KERNELRELEASE ?= $(shell uname -r)
 KDIR ?= /lib/modules/$(KERNELRELEASE)/build

=== debian/changelog ===
vhba-module (20250329-1) unstable; urgency=medium

  * New upstream version, closes: #1104419.
  * debian/appstream/net.sf.cdemu.vhba-module.metainfo.xml:
    - Add 20240917 and 20250329 releases.
  * debian/control:
    - Bump Standards-Version to 4.7.2.
  * debian/copyright:
    - Change Upstream-Contact to Rok Mandeljc, like in all of the other
      CDEmu packages.
  * debian/rules:
    - Make rules compatible with debhelper <= 12.
  * debian/vhba-dkms.dkms:
    - Update PACKAGE_VERSION.
  * debian/vhba-dkms.install:
    - Remove file since install step is handled in rules.
  * debian/vhba-dkms.postinst:
    - Don't run modprobe inside a chroot environment (closes: #1101666).
      Thanks to Andreas Beckmann <anbe@debian.org> for the patch.

 -- Matteo Bini <matteobin@tiepi.it>  Mon, 05 May 2025 09:26:46 +0200

=== debian/control ===
Source: vhba-module
Section: kernel
Priority: optional
Homepage: https://cdemu.sourceforge.io/
Maintainer: Matteo Bini <matteobin@tiepi.it>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-dkms,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: vhba-dkms
Architecture: all
Depends: ${misc:Depends}
Description: VHBA virtual host bus adapter module
 VHBA kernel module, a virtual SCSI host bus adapter used by CDEmu daemon from
 the CDEmu suite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_clean:


override_dh_auto_build:


override_dh_auto_install:
	dh_install -pvhba-dkms debian/appstream/net.sf.cdemu.vhba_module.metainfo.xml usr/share/metainfo
	dh_install -pvhba-dkms debian/vhba.conf etc/modules-load.d
	dh_install -pvhba-dkms Makefile *.c usr/src/vhba-$(DEB_VERSION_UPSTREAM)
